.cardList {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 30px;
  align-items: flex-start;
  flex-direction: row;
  margin-top: 40px;
}

.cardListColumn {
  display: flex;
  flex-direction: column;
  align-content: center;
  justify-content: flex-start;
  align-items: center;
  gap: 30px;
}

.card {
  position: relative;
  max-width: 300px;
  box-shadow: 0 4px 6px -1px rgb(0 0 0 / 0.1), 0 2px 4px -2px rgb(0 0 0 / 0.1);
  border-radius: 10px;
  cursor: pointer;
}

.card img {
  width: 100%;
  height: auto;
  max-width: 100%;
  max-height: 100%;
}

/* Style pour l'image en plein écran */
.fullscreen {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.8);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 1000;
}

.fullscreen img {
  max-width: 90%;
  max-height: 90%;
}

/* Responsive styles */
@media (max-width: 768px) {
  .cardList {
    margin-left: 20px;
    margin-right: 20px;
  }

  .cardListColumn {
    flex: 1 1 100%;
    max-width: 100%;
  }

  .card {
    max-width: 100%;
  }
}